package IOulm;

/**
 * Class for executing write operations in an Oberon-like "Look and Feel"
 *
 * @see      Urc
 * @author   nh @ SAI
 * @version  0.2
 */

/* Changelog:
   ----------
   0.2: Erweiterung der Klasse um die Methoden "Long", "Short", "Byte",
        "Float" (swg)
*/

public class Write {

   /**
    * prints the string s to standard output along with a newline
    */
   public static void Line(String s) {
      System.out.println(s);
   }

   /**
    * prints the string s to standard output (no newline will be added)
    */
   public static void String(String s) {
      System.out.print(s);
   }

   /**
    * prints the character ch to standard output
    */
   public static void Char(char ch) {
      System.out.print(ch);
   }

   /**
    * prints the integer i to standard output
    */
   public static void Int(int i) {
      System.out.print(i);
   }

   /**
    * prints the long integer l to standard output
    */
   public static void Long(long l) {
      System.out.print(l);
   }

   /**
    * prints the short integer i to standard output
    */
   public static void Short(short i) {
      System.out.print(i);
   }

   /**
    * prints the Byte b to standard output
    */
   public static void Byte(byte b) {
      System.out.print(b);
   }

   /**
    * prints the real number r to standard output
    */
   public static void Real(double r) {
      System.out.print(r);
   }

   /**
    * prints the float r to standard output
    */
   public static void Float(float r) {
      System.out.print(r);
   }

   /**
    * prints a newline to standard output
    */
   public static void Ln() {
      System.out.println();
   }
}
